Package com.google.gwt.user.cellview.client

## Interface CellTable.BasicStyle

- All Superinterfaces:
    `CellTable.Style`, `CssResource`, `CssResourceBase`, `ResourcePrototype`
  Enclosing class:
    CellTable<T>

      @ImportedWithPrefix("gwt-CellTable")
      static interface CellTable.BasicStyle
      extends CellTable.Style

  Styles used by `CellTable.BasicResources`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.CssResource

      `CssResource.ClassName, CssResource.Import, CssResource.ImportedWithPrefix, CssResource.NotStrict, CssResource.Shared, CssResource.Strict`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_CSS` | The path to the default CSS styles used by this resource.

  - ### Method Summary

    - ### Methods inherited from interface com.google.gwt.user.cellview.client.CellTable.Style

      `cellTableCell, cellTableEvenRow, cellTableEvenRowCell, cellTableFirstColumn, cellTableFirstColumnFooter, cellTableFirstColumnHeader, cellTableFooter, cellTableHeader, cellTableHoveredRow, cellTableHoveredRowCell, cellTableKeyboardSelectedCell, cellTableKeyboardSelectedRow, cellTableKeyboardSelectedRowCell, cellTableLastColumn, cellTableLastColumnFooter, cellTableLastColumnHeader, cellTableLoading, cellTableOddRow, cellTableOddRowCell, cellTableSelectedRow, cellTableSelectedRowCell, cellTableSortableHeader, cellTableSortedHeaderAscending, cellTableSortedHeaderDescending, cellTableWidget`

    - ### Methods inherited from interface com.google.gwt.resources.client.CssResource

      `ensureInjected, getText`

    - ### Methods inherited from interface com.google.gwt.resources.client.ResourcePrototype

      `getName`

- - ### Field Detail

    - #### DEFAULT_CSS

          static final java.lang.String DEFAULT_CSS

      The path to the default CSS styles used by this resource.
      See Also:
        Constant Field Values